Welcome to the forums. Please post in English or French.

You are not logged in.

#1 Re: Salome-Meca installation » installation problem on ubnutu 20.04 » 2020-05-08 17:46:49

Jcm

I confirm, I downloaded the "libffi6_3.2.1-9_amd64.deb" file from Download Page of Debian.
Now I can run Aster-Study

Thank you.
Regards,
Claudio

#2 Re: Salome-Meca installation » installation problem on ubnutu 20.04 » 2020-05-04 13:54:06

Jcm

Thanks for your reply mr. Fernando.

If I compile the libffi version 6 (I downloaded libffi-3.2.1.tar.gz) can any issues with other applications occur?

Thanks.
Regards,

Claudio

#4 Re: Salome-Meca installation » installation problem on ubnutu 20.04 » 2020-05-01 12:42:47

Jcm

Good morning I have the same problem, I try to explain the procedure I followed:

1. Check the prerequisites and all are fine;
2. Downloaded the file: salome_meca-2019.0.3-1-universal.tgz
3. run on terminal md5sum salome_meca-2019.0.3-1-universal.tgz, i tried to download more than once and check with md5sum, but I never obtain:      4ea7be35819a53a201d48d189ef1c4d4f6d47e32.
4. I installed salome_meca, but I cannot open Aster Study.

I attached a .txt file with the log file of installation and a terminal message when I try to open Aster Study.

Thank you
Claudio

#5 Re: Salome-Meca installation » [SOLVED] Salome-meca 2019.0.0-1 » 2019-10-03 18:38:59

Jcm

Hello,

The installation was successful, I'm able to run Salome-Meca 2019, I added an under score to the libstdc++ files only, but if I activate the AsterStudy module and close the software many windows error appear. I attached a picture to the post.

I installed Salome 9.3.0 also and it works well

Regards.

#6 Re: Salome-Meca installation » [SOLVED] Salome-meca 2019.0.0-1 » 2019-09-30 20:52:37

Jcm

Same error on Debian 10


salome_meca/appli_V2019_univ/bin/salome/PortManager.py[151]Problem loading PortManager file: /tmp/.salome_PortManager.cfg
INFO:PortManager:Problem loading PortManager file: /tmp/.salome_PortManager.cfg
Searching for a free port for naming service: 2810 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  +++++SALOME_Session_Server: error while loading shared libraries: libnlopt.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/claudio/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/claudio/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/claudio/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/claudio/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 2567 for /Kernel/Session not found